System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

There are two thread state enumerations, and . The thread state enumerations are only of interest in a few debugging scenarios. Your code should never use thread state to synchronize the activities of threads.

Specifies the current execution state of the thread.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadState To be added

  A state that indicates the thread has been initialized, but has not yet started.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadState To be added

  A state that indicates the thread is waiting to use a processor because no processor is free. The thread is prepared to run on the next available processor.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadState To be added

  A state that indicates the thread is currently using a processor.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadState To be added

  A state that indicates the thread is about to use a processor. Only one thread can be in this state at a time.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadState To be added

  A state that indicates the thread has finished executing and has exited.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadState To be added

  A state that indicates the thread is waiting for a resource, other than the processor, before it can execute. For example, it might be waiting for its execution stack to be paged in from disk.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadState To be added

  The state of the thread is unknown.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadState To be added

  A state that indicates the thread is not ready to use the processor because it is waiting for a peripheral operation to complete or a resource to become free. When the thread is ready, it will be rescheduled.